Pre-Installation / System Requirements

This is the first step when installing a Unanet System.  

Please make sure your setup meets the System Requirements and that all the items in the Other Considerations section are done before continuing to step 2.

The topics covered on this page include:

 

You may also be interested in seeing a list of Sample Platforms.


System Requirements

Component

Requirement

Client Requirements

 

Browser

Any client operating system supporting:

  • Microsoft Internet Explorer IE7, IE8, IE9, IE10, IE11

  • Firefox 3.6+

  • Safari 4+

  • Chrome 9+

 

Browser Configuration:  The default settings for most browsers is sufficient to use Unanet.  In particular though, the browsers must be configure to allow cookies and javascript.  IE8 displays best when run with the Compatibility Mode disabled.

Popup Blockers:  will need to be configured to allow popups from your Unanet site.

Server Requirements

 

Web Servers

The web servers embedded in JRun or Tomcat will run the Unanet application, however, you can also use an external web server such as:

  • Microsoft IIS 5 or higher

  • Apache 1.3.x or higher

 

Java

  • Java 1.6,  Java 1.7, Java 1.8

 

Note: Beginning with Unanet version 9.6, we no longer support Java 1.5.

Note: Java 1.7 is not compatible with JRun

Servlet Engines

  • Tomcat 6.0.20 --> 6.0.28,  7.0, 8.0

Note: There is a known issue with Tomcat 6.0.29+.  Do not attempt to run Unanet with a version of Tomcat 6 higher than 6.0.28 or below 6.0.20.  This issue has been addressed in Tomcat 7.

  • JRun 4   (Unanet no longer recommends the use of this product and will officially drop support beginning with Unanet v10.0)

 

Note: In summer of 2007, Adobe announced plans to discontinue new feature development for the Adobe® JRun™ software.
(see http://www.adobe.com/products/jrun/productinfo/faq/eod/ for more information).

JRun requires updater 7   --  see http://www.adobe.com/support/jrun/updaters.html for more information

Note: Java 1.7 is not compatible with JRun

Operating System

  • Windows 2003, 2003-R2, 2008, 2008-R2, 2012, 2012 R2

  • Unix / Linux
     

Note: Supported on 32 & 64 bit operating systems

Database

  • Oracle 10g, 11gR1, 11gR2, 12c

Note: Beginning with Unanet version 9.6, we no longer support Oracle 9.

  • Microsoft SQL Server  2005, 2008, 2012, 2014 (Enterprise, Standard, Workgroup and Express Editions)

 

Note: Beginning with Unanet version 9.4, we no longer support SQL Server 2000.

Note: JDBC drivers are included.
 

Note: The Express version has a number of limitations which may prevent its use in your environment, such as:

  • Constrained to a single CPU (in 2012, this limitation has been changed to "the lesser of one socket or four cores" - thus, multi-threading is possible)

  • A maximum of 1GB RAM Buffer Pool (same in 2008 & 2012)

  • A maximum 4 GB database size (raised to 10GB in SQL 2008 & 2012)

  • Further, it may lack certain enterprise level utilities that may be of interest for database maintenance, tuning and possible future SQL Server version migration needs.  Further information my be found at:  http://stackoverflow.com/questions/1169634/limitations-of-sql-server-express

 


Other Considerations

Before proceeding to step 2 of the Unanet installation checklist, please make sure you have the following:

 

You may also be interested in seeing a list of Sample Platforms.


Next Step

Step 2 -- Install Unanet Software

Once you have these pre-install requirements satisfied, you can now move on to installing the Unanet software.